## sysbench 0.4.12

=== sysbench/drivers/oracle/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(sboracle drv_oracle.c)

=== sysbench/drivers/pgsql/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(sbpgsql drv_pgsql.c)

=== sysbench/tests/cpu/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
ADD_LIBRARY(sbcpu sb_cpu.c)

=== sysbench/tests/fileio/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
ADD_LIBRARY(sbfileio sb_fileio.c crc32.c crc32.h crc32tbl.h)

=== sysbench/tests/memory/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sbmemory sb_memory.c)

=== sysbench/tests/oltp/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sboltp sb_oltp.c)

=== sysbench/tests/threads/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sbthreads sb_threads.c)

=== debian/changelog ===
sysbench (0.4.12-1.1ubuntu1) xenial; urgency=medium

  * d/{rules,control}: drop DEB_AUTO_UPDATE and use dh-autoreconf
    instead to fix FTBFS (closes: #797260). This should stop needing
    packaging updates every time the archive verisons of autotools
    change.
  * d/p/libmysqlclient_r: link against libmysqlclient instead of
    libmysqlclient_r. The former supersedes the latter which no longer
    exists in MySQL 5.7.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 14 Apr 2016 11:29:24 +0000

sysbench (0.4.12-1.1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:03:01 +0000

sysbench (0.4.12-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Emmanuel Kasper ]
  * Bump DEB_AUTO_UPDATE_AUTOMAKE to 1.14 (closes: #713211).

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format
    "3.0 quilt" (Closes: #664400).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Andrew Starr-Bochicchio ]
  * Drop deprecated Dm-Upload-Allowed field.
  * Bump to Standards-Version to 3.9.5

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 12 Feb 2014 17:44:19 -0500

sysbench (0.4.12-1) unstable; urgency=low

  * New upstream version 

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Wed, 17 Feb 2010 18:18:09 +0100

sysbench (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #516678)

 -- Hendrik Frenzel <hfrenzel@scunc.net>  Mon, 23 Feb 2009 00:32:52 +0100

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hendrik Frenzel <hfrenzel@scunc.net>
Build-Depends: cdbs, debhelper (>= 9), docbook-xsl, docbook-xml, xsltproc, autoconf, automake, libtool, libmysqlclient15-dev | libmysqlclient-dev, dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://sourceforge.net/projects/sysbench
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/sysbench/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/sysbench/trunk/

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform and multi-threaded benchmark tool
 SysBench is a modular, cross-platform and multi-threaded benchmark tool for
 evaluating OS parameters that are important for a system running a database
 under intensive load.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Add here any variable or target overrides you need.
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,-as-needed"

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

debian/sysbench.1: debian/sysbench.xml
	$(XP) $(DB2MAN) $<

build/sysbench:: debian/sysbench.1

pre-build::
	touch NEWS AUTHORS

clean:: 
	rm -f debian/sysbench.1
	rm -f NEWS AUTHORS

=== debian/watch ===
version=3
http://sf.net/sysbench/sysbench-(.*)\.tar\.gz

## sysbench 0.5

=== sysbench/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

cmake_minimum_required(VERSION 2.6)
if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

project(sysbench)
add_executable(sysbench
  sysbench.c 
  sysbench.h 
  sb_timer.c 
  sb_timer.h 
  sb_options.c 
  sb_options.h 
  sb_logger.c 
  sb_logger.h
  sb_percentile.c
  sb_percentile.h
  sb_list.h 
  db_driver.h 
  db_driver.c
  sb_win.c
  sb_win.h
)
if(MSVC)
  #  Link C runtime statically to avoid hassle with CRT dll redistribution.
  STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELEASE          ${CMAKE_C_FLAGS_RELEASE})
  STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELWITHDEBINFO   ${CMAKE_C_FLAGS_RELWITHDEBINFO})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG            ${CMAKE_C_FLAGS_DEBUG})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG_INIT       ${CMAKE_C_FLAGS_DEBUG_INIT})

  STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELEASE        ${CMAKE_CXX_FLAGS_RELEASE})
  STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELWITHDEBINFO ${CMAKE_CXX_FLAGS_RELWITHDEBINFO})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG          ${CMAKE_CXX_FLAGS_DEBUG})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG_INIT     ${CMAKE_CXX_FLAGS_DEBUG_INIT})
  
  #Silence "deprecated API" warnings.
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4996")
  
  #Look for mysql.h  in INCLUDE paths
  find_path(MYSQLH_PATH mysql.h  ENV INCLUDE)
  message("mysql.h directory = ${MYSQLH_PATH}")
  
  #Looks for libmysql.lib in LIB paths
  find_file(LIBMYSQL_LIB libmysql.lib ENV LIB)
  message("libmysql.lib = ${LIBMYSQL_LIB}")
  
  #Look for libmysql.dll
  find_file(LIBMYSQL_DLL libmysql.dll ENV LIB ENV PATH)
  message("libmysql.dll = ${LIBMYSQL_DLL}")
  
  #If mysql header file and client library are found, build with mysql
  if(MYSQLH_PATH AND LIBMYSQL_LIB)
    set(USE_MYSQL 1)
    
  #If libmysql.dll found, copy it next to sysbench.exe in the postbuild step
  if(LIBMYSQL_DLL)
   file(TO_NATIVE_PATH ${LIBMYSQL_DLL} LIBMYSQL_DLL)
   ADD_CUSTOM_COMMAND(
   TARGET sysbench
   POST_BUILD
   COMMAND copy /y ${LIBMYSQL_DLL} $(OutDir)
   )
  endif(LIBMYSQL_DLL)
  endif(MYSQLH_PATH AND LIBMYSQL_LIB)
endif(MSVC)


if(USE_MYSQL)
  message("using mysql driver")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_MYSQL")
  include_directories(${MYSQLH_PATH})
  add_subdirectory(drivers/mysql)
  target_link_libraries (sysbench sbmysql)
  target_link_libraries (sysbench ${LIBMYSQL_LIB})
endif(USE_MYSQL)

add_subdirectory(tests/cpu)
target_link_libraries (sysbench sbcpu)

add_subdirectory(tests/fileio)
target_link_libraries (sysbench sbfileio)

add_subdirectory(tests/mutex)
target_link_libraries (sysbench sbmutex)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_LUA -DUSE_LUA")
add_subdirectory(scripting)
target_link_libraries(sysbench sbscript lua)


add_subdirectory(tests/threads)
target_link_libraries (sysbench sbthreads)

add_subdirectory(tests/memory)
target_link_libraries (sysbench sbmemory)

=== sysbench/scripting/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

include_directories(lua/src ..)
add_subdirectory(lua/src)
add_library(sbscript sb_script.c sb_script.h script_lua.c script_lua.h)

=== sysbench/tests/fileio/CMakeLists.txt ===
--- 
+++ 
@@ -15,4 +15,4 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
-ADD_LIBRARY(sbfileio sb_fileio.c crc32.c crc32.h crc32tbl.h)
+ADD_LIBRARY(sbfileio sb_fileio.c crc32.c)

=== sysbench/scripting/lua/src/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

if(MSVC)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DLUA_WIN")
endif(MSVC)
add_library(lua lapi.c lcode.c ldebug.c ldo.c ldump.c lfunc.c lgc.c llex.c lmem.c 
        lobject.c lopcodes.c lparser.c lstate.c lstring.c ltable.c ltm.c  
        lundump.c lvm.c lzio.c 
        lauxlib.c lbaselib.c ldblib.c liolib.c lmathlib.c loslib.c ltablib.c 
        lstrlib.c loadlib.c linit.c 
        lapi.h lcode.h ldo.h lgc.h llimits.h lobject.h lparser.h lstring.h ltm.h 
        luaconf.h lundump.h lzio.h lauxlib.h ldebug.h lfunc.h llex.h lmem.h lopcodes.h 
        lstate.h ltable.h lua.h lualib.h lvm.h)

=== debian/changelog ===
sysbench (0.5-3) unstable; urgency=low

  * Update to new upstream release SysBench 0.5-3

 -- Percona Jenkins <jenkins@vps-wheezy-x32-02.ci.percona.com>  Tue, 18 Nov 2014 23:50:53 -0500

sysbench (0.5-2) unstable; urgency=low

  * Sysbench 0.5 revision 126

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Tue, 21 Oct 2014 11:29:16 +0000

sysbench (0.5-1) unstable; urgency=low

  * New upstream version

 -- Tomislav Plavcic <tomislav.plavcic@percona.com>  Mon, 01 Sep 2014 15:33:22 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	autoreconf -vif
	dh_auto_configure

override_dh_compress:
	dh_compress -X.lua

## sysbench 1.0.8

=== debian/changelog ===
sysbench (1.0.8-1) unstable; urgency=low

  * Update to new upstream release SysBench 1.0.8-1

 -- Percona Jenkins <tomislav.plavcic@percona.com>  Wed, 12 Jul 2017 17:43:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_compress:
 	dh_compress -X.lua
+
+override_dh_auto_test:
+	@echo "Skipping test step"

## sysbench 1.0.8+ds

=== debian/changelog ===
sysbench (1.0.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Patches: remove 02 and 05: merged upstream.
  * Bump Standards-Version to 4.0.0 (from 3.9.8; no further changes).
  * Control: limit build-depend on libaio-dev to linux-only. Libaio
    provides access to the Linux kernel asynchronous I/O system calls,
    limiting its use and availability to those architectures.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 17 Jul 2017 05:22:13 +0000

sysbench (1.0.7+ds-1) experimental; urgency=medium

  * New upstream version:
    + fixes build system issue resulting in an empty html manual.
      (Closes: #695377)
  * New maintainer. (Closes: #841528)
  * Remove d/dirs: not needed just to create /usr/bin.
  * Docs:
    + stop installing upstream TODO (empty file).
    + replace README with README.md (renamed upstream).
    + include doc-base entry for html manual.
  * Rules:
    + switch to dh sequencer with autoreconf.
    + override dh_auto_configure to enable pgsql database driver, and
      use system libs for libluajit and ck.
    + enable all hardening.
  * Control:
    + remove build-depends on cdbs, autoconf, automake, and libtool
      (obsoleted by switch to dh with autoreconf).
    + add build-depends on libaio-dev (asynchronous I/O mode support)
      (LP: #1009126), libpq-dev (for the postgresql database driver),
      python-cram (to run tests at build time), txt2man (to generate
      manpage during build), libluajit-5.1-dev, libck-dev, pkg-config
      (needed to use system luajit and ck), and vim-common (for xxd).
    + set upstream homepage to the project's github page.
    + enhance short description to include mention of focus on database
      systems; fix typo in long description.
    + update VCS links.
    + bump Standards-Version to 3.9.8 (from 3.9.5; no further changes).
    + reorder dependencies for clarity.
  * Patches:
    + drop d/p/disable-manual-creation.patch to re-enable building the
      html manual.
    + drop d/p/libmysqlclient_r, fixed upstream.
    + add 01: don't require third-party dir for build, after excluding
      it from the orig.tgz.
    + add 02: fix typo.
    + add 03: don't install tests into binary package, already run at
      build time.
    + add 04: strip env from shebang, replace with full path to
      sysbench executable.
    + add 05: make the api_report test permit latency >= 2, preventing
      build failure on systems with limited cpu resources available.
  * Watch:
    + point to github.
    + set repacksuffix to +ds given removal of the third-party dir.
  * Remove d/TODO, all done now that postgresql support is builtin.
  * Manpage:
    + drop outdated debian/sysbench.xml and recreate based on help
      output, eliminating some typos in the process. (Closes: #793428)
    + remove incorrect examples. (Closes: #692822)
    + include options of various test modes. (LP: #1309532)
    + generate manpage from d/manpage.txt with txt2man.
  * Copyright:
    + correct Format URI for machine-readable copyright spec.
    + update all upstream copyright and contact info.
    + add myself as a copyright holder for the packaging.
    + exclude third_party directory from orig.tgz.
  * Bump debhelper compat level to 10 (from 9).
  * Add d/gbp.conf: set branches to master/upstream, make git-orig strip
    upstream debian dir and enable pristine-tar options.
  * Add d/clean to remove some files generated during build.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 27 May 2017 09:00:10 +0000

sysbench (0.4.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/{rules,control}:
    - drop DEB_AUTO_UPDATE and use dh-autoreconf instead to fix FTBFS.
      This should stop needing packaging updates every time the archive
      verisons of autotools change. (Closes: #797260)
    - drop conditional build-depend on libmysqlclient15-dev and
      build-depend on default-libmysqlclient-dev instead. (Closes: #790475)
  * d/p/libmysqlclient_r: link against libmysqlclient instead of
    libmysqlclient_r. The former supersedes the latter which no longer
    exists in MySQL 5.7. (Closes: #825083)

 -- Fathi Boudra <fabo@debian.org>  Thu, 03 Nov 2016 05:28:52 +0200

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Build-Depends:
 dh-autoreconf,
 debhelper (>= 10),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 pkg-config,
 python-cram,
 txt2man,
 vim-common,
 xsltproc
Standards-Version: 4.0.0
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://github.com/jcfp/debpkg-sysbench.git
Vcs-Browser: https://github.com/jcfp/debpkg-sysbench/

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, cross-platform and multi-threaded benchmark tool for
 evaluating OS parameters that are important for a system running a database
 under intensive load.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# autoreconf is implied by dh compat 10
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-mysql --with-pgsql --with-system-luajit --with-system-ck

override_dh_auto_build:
	# date comes from d/changelog entry
	txt2man \
		-v "Benchmark tool for database systems" \
		-t SYSBENCH \
		-s 1 \
		"debian/manpage.txt" > sysbench.1
	dh_auto_build

## sysbench 1.0.10

=== debian/changelog ===
sysbench (1.0.10-1) unstable; urgency=low

  * Update to new upstream release SysBench 1.0.10-1

 -- Percona Jenkins <jenkins@template-wheezy-x64>  Thu, 09 Nov 2017 22:50:30 -0500

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Percona Development Team <mysql-dev@percona.com>
Build-Depends: debhelper, autoconf, automake, libtool, libmysqlclient-dev
Standards-Version: 3.9.5
Homepage: https://launchpad.net/sysbench

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform and multi-threaded benchmark tool
 SysBench is a modular, cross-platform and multi-threaded benchmark tool for
 evaluating OS parameters that are important for a system running a database
 under intensive load.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

## sysbench 1.0.11+ds

=== src/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008-2017 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

cmake_minimum_required(VERSION 2.6)
if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

project(sysbench)
add_executable(sysbench
  sysbench.c 
  sysbench.h 
  sb_timer.c 
  sb_timer.h 
  sb_options.c 
  sb_options.h 
  sb_logger.c 
  sb_logger.h
  sb_histogram.c
  sb_histogram.h
  sb_list.h 
  db_driver.h 
  db_driver.c
  sb_win.c
  sb_win.h
  sb_rand.c
  sb_rand.h
  sb_thread.c
  sb_thread.h
  sb_barrier.c
  sb_barrier.h
)
if(MSVC)
  #  Link C runtime statically to avoid hassle with CRT dll redistribution.
  STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELEASE          ${CMAKE_C_FLAGS_RELEASE})
  STRING(REPLACE "/MD"  "/MT"  CMAKE_C_FLAGS_RELWITHDEBINFO   ${CMAKE_C_FLAGS_RELWITHDEBINFO})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG            ${CMAKE_C_FLAGS_DEBUG})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_C_FLAGS_DEBUG_INIT       ${CMAKE_C_FLAGS_DEBUG_INIT})

  STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELEASE        ${CMAKE_CXX_FLAGS_RELEASE})
  STRING(REPLACE "/MD"  "/MT"  CMAKE_CXX_FLAGS_RELWITHDEBINFO ${CMAKE_CXX_FLAGS_RELWITHDEBINFO})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG          ${CMAKE_CXX_FLAGS_DEBUG})
  STRING(REPLACE "/MDd" "/MTd" CMAKE_CXX_FLAGS_DEBUG_INIT     ${CMAKE_CXX_FLAGS_DEBUG_INIT})
  
  #Silence "deprecated API" warnings.
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4996")
  
  #Look for mysql.h  in INCLUDE paths
  find_path(MYSQLH_PATH mysql.h  ENV INCLUDE)
  message("mysql.h directory = ${MYSQLH_PATH}")
  
  #Looks for libmysql.lib in LIB paths
  find_file(LIBMYSQL_LIB libmysql.lib ENV LIB)
  message("libmysql.lib = ${LIBMYSQL_LIB}")
  
  #Look for libmysql.dll
  find_file(LIBMYSQL_DLL libmysql.dll ENV LIB ENV PATH)
  message("libmysql.dll = ${LIBMYSQL_DLL}")
  
  #If mysql header file and client library are found, build with mysql
  if(MYSQLH_PATH AND LIBMYSQL_LIB)
    set(USE_MYSQL 1)
    
  #If libmysql.dll found, copy it next to sysbench.exe in the postbuild step
  if(LIBMYSQL_DLL)
   file(TO_NATIVE_PATH ${LIBMYSQL_DLL} LIBMYSQL_DLL)
   ADD_CUSTOM_COMMAND(
   TARGET sysbench
   POST_BUILD
   COMMAND copy /y ${LIBMYSQL_DLL} $(OutDir)
   )
  endif(LIBMYSQL_DLL)
  endif(MYSQLH_PATH AND LIBMYSQL_LIB)
endif(MSVC)


if(USE_MYSQL)
  message("using mysql driver")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_MYSQL")
  include_directories(${MYSQLH_PATH})
  add_subdirectory(drivers/mysql)
  target_link_libraries (sysbench sbmysql)
  target_link_libraries (sysbench ${LIBMYSQL_LIB})
endif(USE_MYSQL)

add_subdirectory(tests/cpu)
target_link_libraries (sysbench sbcpu)

add_subdirectory(tests/fileio)
target_link_libraries (sysbench sbfileio)

add_subdirectory(tests/mutex)
target_link_libraries (sysbench sbmutex)

add_subdirectory(tests/threads)
target_link_libraries (sysbench sbthreads)

add_subdirectory(tests/memory)
target_link_libraries (sysbench sbmemory)

=== src/tests/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ADD_LIBRARY(sbtests sb_cpu.)

=== src/tests/cpu/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
ADD_LIBRARY(sbcpu sb_cpu.c)

=== src/tests/memory/CMakeLists.txt ===
# Copyright (C) 2008 MySQL AB
# Copyright (C) 2008 Alexey Kopytov <akopytov@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/tests)
add_library(sbmemory sb_memory.c)

=== debian/changelog ===
sysbench (1.0.11+ds-1) unstable; urgency=medium

  * New upstream release:
    + fixes build failure on kfreebsd.
  * Bump Standards-Version to 4.1.3 (from 4.0.0).
  * Control:
    + change priority to optional, extra is deprecated by policy.
    + remove build-depend on dh-autoreconf, redundant with compat 10.
  * Rules: add --without-gcc-arch to dh_auto_configure in an attempt to
    make the build reproducible and avoid instructions too specific to
    the cpu of the buildd (Closes: #878588).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Jan 2018 14:06:21 +0000

=== debian/control ===
Source: sysbench
Section: misc
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Build-Depends:
 debhelper (>= 10),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 pkg-config,
 python-cram,
 txt2man,
 vim-common,
 xsltproc
Standards-Version: 4.1.3
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://github.com/jcfp/debpkg-sysbench.git
Vcs-Browser: https://github.com/jcfp/debpkg-sysbench/

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, cross-platform and multi-threaded benchmark tool for
 evaluating OS parameters that are important for a system running a database
 under intensive load.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

## sysbench 1.0.12

=== debian/changelog ===
sysbench (1.0.12-1) unstable; urgency=low

  * Update to new upstream release SysBench 1.0.12-1

 -- Percona Jenkins <jenkins@template-wheezy-x32>  Wed, 17 Jan 2018 07:02:24 -0500

## sysbench 1.0.14

=== debian/changelog ===
sysbench (1.0.14-1) unstable; urgency=low

  * Update to new upstream release SysBench 1.0.14-1

 -- debian-cloud-user <jenkins@minimal-wheezy-x32-12249>  Wed, 04 Apr 2018 04:08:44 -0400

=== debian/control ===
Source: sysbench
Section: misc
Priority: extra
Maintainer: Percona Development Team <mysql-dev@percona.com>
Build-Depends: debhelper, autoconf, automake, libtool, libmysqlclient-dev | default-libmysqlclient-dev, libpq-dev, pkg-config, python
Standards-Version: 3.9.5
Homepage: https://github.com/akopytov/sysbench

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Cross-platform and multi-threaded benchmark tool
 SysBench is a modular, cross-platform and multi-threaded benchmark tool for
 evaluating OS parameters that are important for a system running a database
 under intensive load.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

Package: sysbench-tpcc
Architecture: any
Pre-Depends: sysbench (>= 1.0.0)
Depends:  ${shlibs:Depends}, ${misc:Depends}
Description: TPCC tests files for sysbench

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_testdir
	autoreconf -vif
	dh_auto_configure -- --with-mysql --with-pgsql --without-gcc-arch

override_dh_compress:
	dh_compress -X.lua

override_dh_auto_test:
	@echo "Skipping test step"

override_dh_auto_install:
	dh_auto_install
	cp tpcc/tpcc.lua debian/tmp/tpcc.lua
	cp tpcc/tpcc_check.lua debian/tmp/tpcc_check.lua
	cp tpcc/tpcc_common.lua debian/tmp/tpcc_common.lua
	cp tpcc/tpcc_run.lua debian/tmp/tpcc_run.lua

## sysbench 1.0.14+ds

=== debian/changelog ===
sysbench (1.0.14+ds-1) unstable; urgency=medium

  * New upstream release.
  * Copyright: bump years.
  * Bump Standards-Version to 4.1.4 (from 4.1.3; no further changes).
  * Compat: bump level to 11.
  * Control:
    + remove build-dep on vim-common, upstream no longer uses xxd.
    + update description to include mention of luajit.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 14 Apr 2018 09:43:48 +0000

=== debian/control ===
Source: sysbench
Section: misc
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Build-Depends:
 debhelper (>= 11),
 default-libmysqlclient-dev,
 docbook-xml,
 docbook-xsl,
 libaio-dev [linux-any],
 libck-dev,
 libluajit-5.1-dev,
 libpq-dev,
 pkg-config,
 python-cram,
 txt2man,
 xsltproc
Standards-Version: 4.1.4
Homepage: https://github.com/akopytov/sysbench
Vcs-Git: https://github.com/jcfp/debpkg-sysbench.git
Vcs-Browser: https://github.com/jcfp/debpkg-sysbench/

Package: sysbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multi-threaded benchmark tool for database systems
 SysBench is a modular, scriptable and multi-threaded benchmark tool based on
 LuaJIT. It is most frequently used for database benchmarks, but can also be
 used to create arbitrarily complex workloads that do not involve a database
 server.
 .
 The idea of this benchmark suite is to quickly get an impression about system
 performance without setting up complex database benchmarks or even without
 installing a database at all.
 .
 Current features allow one to test the following system parameters:
 .
  * file I/O performance
  * scheduler performance
  * memory allocation and transfer speed
  * POSIX threads implementation performance
  * database server performance (OLTP benchmark)
 .
 Primarily written for MySQL server benchmarking, SysBench will be further
 extended to support multiple database backends, distributed benchmarks and
 third-party plug-in modules.

## sysbench 1.0.15

=== debian/changelog ===
sysbench (1.0.15-2) unstable; urgency=low

  * Update to new upstream release SysBench 1.0.15-2

 -- debian-cloud-user <jenkins@minimal-wheezy-x32-603>  Tue, 10 Jul 2018 02:29:24 -0400

## sysbench 1.0.15+ds

=== debian/changelog ===
sysbench (1.0.15+ds-1) unstable; urgency=medium

  * New upstream release.
    + fixes unreliable tests cmdline.t and script_oltp_help.t.
  * Manpage: update command line options.
  * Control: add build-dep on libssl-dev.
  * Bump Standards-Version to 4.1.5 (from 4.1.4; no further changes).
  * Tests: add initial autopkgtest using upstream test suite.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 20 Jul 2018 08:39:21 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,12 @@
  libck-dev,
  libluajit-5.1-dev,
  libpq-dev,
+ libssl-dev,
  pkg-config,
  python-cram,
  txt2man,
  xsltproc
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/akopytov/sysbench
 Vcs-Git: https://github.com/jcfp/debpkg-sysbench.git
 Vcs-Browser: https://github.com/jcfp/debpkg-sysbench/
